Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.resources
Class LibraryConstants

All Known Implementing Classes:
  AccessControlListDiscoverAccessService, DirectoryService, FdkErrorCodes, IfsCredentialManager, LibraryService, LibrarySession, S_LibraryService, S_LibrarySession, S_TieLibraryService, S_TieLibrarySession, TieAccessControlListDiscoverAccessService, TieDirectoryService, TieLibrarySession

    public interface class LibraryConstants

LibraryConstants interface contains the common shared constants for CM SDK.

(Published)

Field Summary
`static java.lang.String` | `AUDIT_EVENT_COLUMN_APPLICATIONCONTEXT` AuditEvent column name: "APPCONTEXT".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_APPLICATIONUSER` AuditEvent column name: "APPUSER".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_AUXILIARYNUMBER` AuditEvent column name: "AUXNUMBER".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_AUXILIARYSTRING` AuditEvent column name: "AUXSTRING".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_CREATEDATE` AuditEvent column name: "CREATEDATE".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_CREATORID` AuditEvent column name: "CREATORID".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_DOMAINID` AuditEvent column name: "DOMAINID".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_ID` AuditEvent column name: "ID".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_OPERATIONSUCCEEDED` AuditEvent column name: "OPERATIONSUCCEEDED".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_OPERATIONTYPE` AuditEvent column name: "OPERATIONTYPE".
`static java.lang.String` | `AUDIT_EVENT_COLUMN_TARGETOBJECTID` AuditEvent column name: "TARGETOBJECTID".
`static int` | `AUDIT_SPECIFICATION_CUSTOM` Constant used to specify any custom AuditSpecification by ID (specification will also require the ID of the custom AuditSpecification).
`static int` | `AUDIT_SPECIFICATION_GLOBAL` Constant used to specify the global administrative AuditSpecification.
`static int` | `AUDIT_SPECIFICATION_OBJECT` Constant used to specify the (individual) Object AuditSpecification (specification will also require an object ID).
`static int` | `AUDIT_SUCCESS_MODE_FAILURE_ONLY` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only failed operations will be audited.
`static int` | `AUDIT_SUCCESS_MODE_NONE` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that neither successful nor failed operations will be audited.
`static int` | `AUDIT_SUCCESS_MODE_SUCCESS_ONLY` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only successful operations will be audited.
`static int` | `AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that both successful and failed operations will be audited.
`static long` | `CAPABILITY_ADDITEM` Capability to add an item to a folder (bit 14).
`static long` | `CAPABILITY_ADDVERSION` Capability to add a new version to an item (bit 20).
`static long` | `CAPABILITY_ADMINISTER_CATEGORY` Capability to administer ad-hoc categories (bit 49).
`static long` | `CAPABILITY_ADMINISTER_CONFIGURATION` Capability to administer configuration of items (bit 56).
`static long` | `CAPABILITY_ADMINISTER_CONTAINER` Capability to administer containers, including creation (bit 52).
`static long` | `CAPABILITY_ADMINISTER_DOMAIN` Capability to administer domains (bit 32).
`static long` | `CAPABILITY_ADMINISTER_LOCK` Capability to administer locks (bit 47).
`static long` | `CAPABILITY_ADMINISTER_QUOTA` Capability to administer quota (bit 53).
`static long` | `CAPABILITY_ADMINISTER_RECORD` Capability to administer records (bit 50).
`static long` | `CAPABILITY_ADMINISTER_ROLE` Capability to administer roles (bit 51).
`static long` | `CAPABILITY_ADMINISTER_SECURITY` Capability to administer security of items (bit 55).
`static long` | `CAPABILITY_ADMINISTER_USER` Capability to administer users (bit 48).
`static long` | `CAPABILITY_ADMINISTER_WORKSPACE` Capability to administer workspaces, including creation (bit 54).
`static long` | `CAPABILITY_COPY` Capability to copy items (bit 62).
`static long` | `CAPABILITY_CREATECONTAINER` Capability to create containers (bit 58).
`static long` | `CAPABILITY_CREATEFOLDER` Capability to create folders (bit 33).
`static long` | `CAPABILITY_CREATEWORKSPACE` Capability to create workspaces (bit 57).
`static long` | `CAPABILITY_DELETE` Capability to delete an item (bit 4).
`static long` | `CAPABILITY_DISCOVER` Capability to discover an item (bit 0).
`static long` | `CAPABILITY_GET_CONTENT` Capability to get the content of an item (bit 2).
`static long` | `CAPABILITY_GETAUDITHISTORY` Capability to get audit history for an object (bit 34).
`static long` | `CAPABILITY_GETMETADATA` Capability to get the metadata of an item (bit 60).
`static long` | `CAPABILITY_GETRELATION` Capability to get relations for an object (bit 35).
`static long` | `CAPABILITY_LOCK` Capability to lock an item (bit 5).
`static long` | `CAPABILITY_MOVE` Capability to move items (bit 59).
`static long` | `CAPABILITY_SET_ATTR` Capability to set attributes of an item (bit 1).
`static long` | `CAPABILITY_SET_CONTENT` Capability to set the content of an item (bit 3).
`static long` | `CAPABILITY_SETMETADATA` Capability to set the metadata of an item (bit 61).
`static long` | `CAPABILITY_SETRELATION` Capability to set relations (add, remove, update) for an object (bit 36).
`static java.lang.String` | `EXCEPTION_INFO_AGGREGATE_ENTRIES` Describes exception info comprised of an AggregateExceptionEntry[].
`static java.lang.String` | `EXCEPTION_INFO_CONFLICTING_OBJECT_ID` Describes exception info comprised of an object ID that represents the conflicting object for a name-conflict exception code.
`static java.lang.String` | `EXCEPTION_INFO_DESCRIPTION_MAP` Key value for exception info passed back from BL.
`static java.lang.String` | `EXCEPTION_INFO_LIMIT` Describes exception info comprised of a numeric limit.
`static java.lang.String` | `EXCEPTION_INFO_OBJECT_ID` Describes exception info comprised of an object ID that represents the object for which the exception is about.
`static java.lang.String` | `EXCEPTION_INFO_PARAMETER_NAME` Describes exception info comprised of the parameter name involved in the exception.
`static java.lang.String` | `IFS_DOMAIN_ACCESSCONTROLLIST_BYPASSNAMEUNIQUENESSCHECK` Whether NameUniqueness policy should be skipped for ACCESSCONTROLLIST
`static java.lang.String` | `IFS_DOMAIN_ACCESSCONTROLLIST_COMPOSITEACLSUPPORTED` Whether the use of Composite ACLs are supported
`static java.lang.String` | `IFS_DOMAIN_ACLINDEX_EVENTTARGET` The domain property that references the object used as the target of events that alert agents performing operations on the ACL index.
`static java.lang.String` | `IFS_DOMAIN_APPLICATION_INITIALIZERCLASSNAME` The domain property that contains the name of the class which needs to be initialized by Node when it starts up.
`static java.lang.String` | `IFS_DOMAIN_AUDIT_AUDITINGENABLED` The domain property that indicates whether auditing is enabled
`static java.lang.String` | `IFS_DOMAIN_AUDITING_GLOBALAUDITEVENTEXPIRATIONPERIOD` The instance property that defines the global audit event expiration period (in seconds).
`static java.lang.String` | `IFS_DOMAIN_AUDITING_GLOBALAUDITTYPELIST` The instance property that references the AuditTypeList to use for the global audit history.
`static java.lang.String` | `IFS_DOMAIN_AUDITRULEEVALUATORCLASS` The domain property that indicates the class that should be instantiated for the AuditRuleEvaluator (for auditing)
`static java.lang.String` | `IFS_DOMAIN_CONFIGURATIONCATEGORYDESCRIPTORMAPCLASSNAME` Name of the class used as the ConfigurationCategory descriptor map.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSER` The domain property that contains the the user that is to be used for "anonymous" sessions by some protocols.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSERNAME` The domain property that contains the name of the user that is to be used for "anonymous" sessions by some protocols.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_AUTOUSERPROVISIONINGENABLED` The instance property that indicates whether Auto User Provisioning is enabled for this instance.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM` The instance property for IDM CredentialManager configuration
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_COUNT_LIMIT` The instance property that references the default Search count limit, used by UserRole Search API.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_EXTERNALLY_SUPPORTED_ATTRIBUTES` The instance property that references LDAP Group member attributes
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_DIRECTORY_VENDOR` The instance property that references the LDAP Directory vendor.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_MEMBER_ATTRIBUTES` The instance property that references LDAP Group member attributes
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_NAME_ATTRIBUTE` The instance property that references LDAP Group name attribute
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_OBJECT_CLASSES` The instance property that references LDAP Group object classes.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_SEARCHBASES` The instance property that references LDAP Group Searchbases
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_HOST` The instance property that references the LDAP host name.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_PORT` The instance property that references the LDAP port number.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_SSL_ENABLED` The instance property that specifies if SSL is enabled for LDAP.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_NAME_ATTRIBUTE` The instance property that references LDAP User name attribute
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_OBJECT_CLASSES` The instance property that references LDAP User object classes.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_SEARCHBASES` The instance property that references LDAP User Searchbases
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_PAGE_SIZE` The instance property that references the default Search page size, used by UserRole Search API.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_SECURITY_PROVIDER_TYPE` The instance property that references the security provider type.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_TIME_LIMIT` The instance property that references the default Search Time limit, used by UserRole Search API.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_FILE_PATH` The instance property that references the pathname to XML data file.
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_REALM` The instance property that references the realm name of the XML provider
`static java.lang.String` | `IFS_DOMAIN_CREDENTIALMANAGER_IDMENABLED` The key for the instance property that indicates whether IDM is enabled for this instance.
`static java.lang.String` | `IFS_DOMAIN_DEFAULT_TIMEZONE_STRING` The default Timezone ID (string) for this instance.
`static java.lang.String` | `IFS_DOMAIN_DEFINITIONCLONINGREQUIRED` Whether cloning of user-specified definitions is required.
`static java.lang.String` | `IFS_DOMAIN_DIRECTORYGROUP_BYPASSNAMEUNIQUENESSCHECK` Whether NameUniqueness policy should be skipped for DirectoryGroup
`static java.lang.String` | `IFS_DOMAIN_DOCUMENT_DEFINITIONOBJECTEXPIRATIONPERIOD` The key for the instance property that indicates the expiration time (in seconds) for document definition object.
`static java.lang.String` | `IFS_DOMAIN_FDKCONFIGURATIONCLASS` The domain property that indicates the class that should be instantiated for the FDK Configuration.
`static java.lang.String` | `IFS_DOMAIN_FOLDERINDEX_EVENTTARGET` The domain property that references the object used as the target of events that alert agents performing operations on the Folder index.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_GLOBALAUDITHISTORY` The instance property for the out-of-the-box AuditSpecification for the Global Audit History.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_OBJECTAUDITHISTORY` The instance property for the out-of-the-box AuditSpecification for the Object Audit History.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPRIVATE` The domain property used to lookup the ClassAccessControlList "ClassPrivate"
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPUBLIC` The domain property used to lookup the ClassAccessControlList "ClassPublic"
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSRESTRICTCREATION` The domain property used to lookup the ClassAccessControlList "ClassRestrictCreation"
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_MEDIA_DEFAULTCONTENTMEDIA` The domain property for the default content media instance.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_MEDIA_NONCONTENTMEDIA` The domain property for the noncontent media instance.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_NODECONFIGURATION_DEFAULTNODECONFIGURATION` The domain property used to lookup the default NodeConfiguration.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_SERVICECONFIGURATION_DEFAULTSERVICECONFIGURATION` The domain property used to lookup the default ServiceConfiguration.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_STORAGEGROUP_DEFAULTSTORAGEGROUP` The domain property whose value is the default StorageGroup for new ContentObjects.
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PRIVATE` The domain property used to lookup the SystemAccessControlList "Private"
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLIC` The domain property used to lookup the SystemAccessControlList "Public"
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLISHED` The domain property used to lookup the SystemAccessControlList "Published"
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMHARDLOCK` The domain property for the System HARDLOCK object to be used for sharing locks
`static java.lang.String` | `IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMSOFTLOCK` The domain property for the System SOFTLOCK object to be used for sharing locks
`static java.lang.String` | `IFS_DOMAIN_LOCALIZER_DEFAULTEXTENDEDRESOURCEBUNDLENAMES` List of extended resource bundles to be included in each LibrarySession's localizer after connect.
`static java.lang.String` | `IFS_DOMAIN_LOCKOBJECT_ENABLED` Whether the use of LockObjects are enabled
`static java.lang.String` | `IFS_DOMAIN_LOOKUP_CLUSTERING_PROPERTIES` The domain property that references the property bundle used to hold the set of clustering properties.
`static java.lang.String` | `IFS_DOMAIN_LOOKUP_CUSTOMLOCKTYPES` The instance property for the inner PropertyBundle lookup table for the custom lock types registered with ECM for use by user applications.
`static java.lang.String` | `IFS_DOMAIN_LOOKUP_ORACLELOCKTYPES` The instance property for the inner PropertyBundle lookup table for the Oracle lock types registered for internal use by ECM.
`static java.lang.String` | `IFS_DOMAIN_LOOKUP_SORTOBJECTCOLLECTION` Name of the property bundle used for sort object collection.
`static java.lang.String` | `IFS_DOMAIN_OIDCREDENTIALMANAGERAGENT_SUBSCRIBERS` The domain property that references the PropertyBundle used by OidCredentialManagerAgent to track subscribers.
`static java.lang.String` | `IFS_DOMAIN_OPERATIONACTIONSPECIFICATION_GLOBALLIST` The list of global OperationActionSpecifications.
`static java.lang.String` | `IFS_DOMAIN_PROPERTYBUNDLE_NAME` The name of the ValueDefault that references the PropertyBundle which holds the domain-level properties.
`static java.lang.String` | `IFS_DOMAIN_PROTOCOLS_DAV_COPYMOVETHROUGHFOLDERLINKENABLED` The key for the instance property that indicates whether Copy or Move are allowed on source paths that contain Folder Links.
`static java.lang.String` | `IFS_DOMAIN_PROTOCOLS_DAV_NULLRESOURCELOCKEXPIRATIONPERIOD` The key for the instance property that indicates the expiration time (in seconds) for null resource locks used by the DAV protocol.
`static java.lang.String` | `IFS_DOMAIN_PROTOCOLS_DAV_USERAGENTS` The key for the instance property that holds the names of the user agents for DAV.
`static java.lang.String` | `IFS_DOMAIN_RANDOMACCESSOR_EXPIRATIONPERIOD` The domain property whose value is the default expiration period, in seconds, for writeable RandomAccessors.
`static java.lang.String` | `IFS_DOMAIN_SEARCH_ATTEMPTCONTEXTSEARCHREWRITE` vdevadha - if this property is set, SQL generation layer attempts context query sql rewrite using inline views.
`static java.lang.String` | `IFS_DOMAIN_SECURITY_SYNCHRONOUSSECURITYREFRESHENABLED` The domain property that indicates whether processing of security refresh operations is done synchronously.
`static java.lang.String` | `IFS_DOMAIN_SHAREDSTATEFACTORY` Name of the class which constructs server-side shared state
`static java.lang.String` | `IFS_DOMAIN_UPGRADEINPROGRESS` Whether the current instance is in the process of being upgraded.
`static java.lang.String` | `IFS_DOMAIN_WORKFLOW_BPEL_CREATIONENABLED` The key for the instance property that indicates whether custom BPEL Workflows can be created for this instance.
`static java.lang.String` | `IFS_DOMAIN_WORKFLOW_BPEL_WORKLISTURL` The key for the instance property that indicates the BPEL Worklist URL for this instance.
`static java.lang.String` | `IFS_DOMAIN_WORKFLOW_ENABLED` The key for the instance property that indicates whether Workflow is enabled for this instance.
`static java.lang.String` | `IFS_DOMAIN_WORKFLOW_SCHEMANAME` The key for the instance property that indicates the Workflow schema name with which ECM is integrated.
`static java.lang.String` | `IFS_DOMAIN_WS_CLEARTEXTAUTHENTICATIONREQUIRESHTTPS` The key for the instance property that indicates whether web service cleartext password authentication requires HTTPS, or is allowed over plain HTTP.
`static java.lang.String` | `IFS_HANDLER_PROPERTY_BASETIMEOFDAY` The key for the property in an AuditHandlerSpecification's propertyBundle that holds the desired base time for timer epxirations, to be expressed in the format "HH:mm:ss", where HH represents hours using a 24-hour clock.
`static java.lang.String` | `IFS_HANDLER_PROPERTY_NOTIFIEDONEVENT` The key for the property in an AuditHandlerSpecification's propertyBundle that indicates whether the handler shouldbe notified when new events are dispatched.
`static java.lang.String` | `IFS_HANDLER_PROPERTY_TIMERPERIOD` The key for the property in an AuditHandlerSpecification's propertyBundle that holds the desired timer period.
`static java.lang.String` | `IFS_NODE_DISABLEDINHERITEDPROPERTYNAMES` The NodeConfiguration property which holds the array of property names that should not be inherited from the Super NodeConfiguration.
`static java.lang.String` | `IFS_NODE_DISABLEDINHERITEDSERVERNAMES` The NodeConfiguration property which holds the array of Server names that should not be inherited from the Super NodeConfiguration.
`static java.lang.String` | `IFS_NODE_ENABLEDINHERITEDPROPERTYNAMES` The NodeConfiguration property which holds the array of property names that should ONLY be inherited from the Super NodeConfiguration.
`static java.lang.String` | `IFS_NODE_ENABLEDINHERITEDSERVERNAMES` The NodeConfiguration property which holds the array of Server names that should ONLY be inherited from the Super NodeConfiguration.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_CHECKOUT` The locktype key for the Oracle "checkout" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_DAV` The locktype key for the Oracle "dav" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_FINALIZED` The locktype key for the Oracle "finalized" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_FREEZE` The locktype key for the Oracle "freeze" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_HASRECORD` The locktype key for the Oracle "has_record" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_LIFECYCLE` The locktype key for the Oracle "lifecycle" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_MANUAL` The locktype key for the Oracle "manual" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_NAMEDFREEZE` The locktype key for the Oracle "named freeze" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_RECORD` The locktype key for the Oracle "record" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_RETENTION` The locktype key for the Oracle "retention" lock type.
`static java.lang.String` | `IFS_ORACLELOCKTYPE_KEY_WORKFLOW` The locktype key for the Oracle "workflow" lock type.
`static java.lang.String` | `IFS_SERVICE_ACLCACHE_EMERGENCYTRIGGER` The service property specifying the cache size at which an immediate purge of resolved ACLs, not recently used, is run.
`static java.lang.String` | `IFS_SERVICE_ACLCACHE_NORMALTRIGGER` The service property specifying the cache size at which a low-priority purge of resolved ACLs, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_ACLCACHE_PURGETARGET` The service property specifying the cache size upon completion of a purge of resolved ACLs.
`static java.lang.String` | `IFS_SERVICE_ACLCACHE_SIZE` The service property specifying the size of the service Resolved ACL cache Optional, default is 750.
`static java.lang.String` | `IFS_SERVICE_ACLCACHE_URGENTTRIGGER` The service property specifying the cache size at which a high-priority purge of resolved ACLs, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_AUDITCERTIFICATECACHE_PURGETARGET` The service property specifying the cache size upon completion of a purge of Audit certificates.
`static java.lang.String` | `IFS_SERVICE_AUDITINGENABLED` Deprecated. iFS 9.0.3: no longer a valid service property
`static java.lang.String` | `IFS_SERVICE_AUDITSTRINGCACHE_PURGETARGET` The service property specifying the cache size upon completion of a purge of Audit strings.
`static java.lang.String` | `IFS_SERVICE_AURORASERVICE` This property is reserved and must be false.
`static java.lang.String` | `IFS_SERVICE_CASESENSITIVEAUTHENTICATION` The service property specifying whether user names and passwords are case sensitive.
`static java.lang.String` | `IFS_SERVICE_CHECKFORORPHANSESSIONSPERIOD` The service property specifying the period, in seconds, between checking for idle sessions that can be opend at one time.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZE` The service property specifying the maximum number of connections in the pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZETIMEOUT` The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size exceeds the target pool size Optional, default is 10000.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_MINIMUMSIZE` The service property specifying the initial number of connections in the pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHESIZETRIGGER` The number of statements that need to be cached before a purge is triggered, for connections in the readonly connection pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHETARGET` The target maximum number of statements we wish to keep cached for connections in the readonly connection pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTRESETLIMIT` The limit to the number of times a cached JDBC select statement in a readonly connection can be re-used before it is closed and re-opened.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZE` The service property specifying the target maximum number of connections in the pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZETIMEOUT` The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size is less than the target pool size.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZE` The service property specifying the maximum number of connections in the pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZETIMEOUT` The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size exceeds the target pool size Optional, default is 10000.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MINIMUMSIZE` The service property specifying the initial number of connections in the pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHESIZETRIGGER` The number of statements that need to be cached before a purge is triggered, for connections in the writeable connection pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHETARGET` The target maximum number of statements we wish to keep cached for connections in the writeable connection pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTRESETLIMIT` The limit to the number of times a cached JDBC statement in a writeable connection can be re-used before it is closed and re-opened.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZE` The service property specifying the target maximum number of connections in the pool.
`static java.lang.String` | `IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZETIMEOUT` The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size is less than the target pool size.
`static java.lang.String` | `IFS_SERVICE_CONTENTBUFFERSIZE` The name of the service configuration property whose integer value specifies the size of each content buffer, in bytes.
`static java.lang.String` | `IFS_SERVICE_CREDENTIALMANAGER` The service property specifying the prefix for building specific credential manager properties.
`static java.lang.String` | `IFS_SERVICE_CREDENTIALMANAGER_CREDENTIALNAMETOKENIZER` The fully-qualified classname of the CredentialNameTokenizer for this service.
`static java.lang.String` | `IFS_SERVICE_CREDENTIALMANAGER_NAMES` The service property specifying the primary names of the credential managers for this service.
`static java.lang.String` | `IFS_SERVICE_DATACACHE_EMERGENCYTRIGGER` The service property specifying the cache size at which an immediate purge of data, not recently used, is run.
`static java.lang.String` | `IFS_SERVICE_DATACACHE_NORMALTRIGGER` The service property specifying the cache size at which a low-priority purge of data, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_DATACACHE_PURGETARGET` The service property specifying the cache size upon completion of a purge of data.
`static java.lang.String` | `IFS_SERVICE_DATACACHE_SIZE` The service property specifying the size of the service data cache Optional, default is 7500.
`static java.lang.String` | `IFS_SERVICE_DATACACHE_URGENTTRIGGER` The service property specifying the cache size at which a high-priority purge of data, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_DEFAULTCHARACTERSET` The service property specifying the default character set for the Library Session.
`static java.lang.String` | `IFS_SERVICE_DEFAULTLANGUAGE` The service property specifying the default language for the Library Session.
`static java.lang.String` | `IFS_SERVICE_EVENTEXCHANGER` The service property specifying the classname of the event exxhanger class.
`static java.lang.String` | `IFS_SERVICE_EVENTSTATEMENTRESETLIMIT` The number of events that can be released before reseting the event exchanger buffering mechanism.
`static java.lang.String` | `IFS_SERVICE_JDBC_DEFAULTROWPREFETCH` The service property specifying the default number of result set rows prefetched from the database by the JDBC driver.
`static java.lang.String` | `IFS_SERVICE_JDBC_DRIVER` The service property specifying the fully-qualified classname of the Java JDBC driver to use.
`static java.lang.String` | `IFS_SERVICE_JDBC_DRIVERTYPE` The service property specifying the JDBC driver type, either LibraryService.JDBCDRIVERTYPE_THIN or LibraryService.JDBCDRIVERTYPE_OCI8.
`static java.lang.String` | `IFS_SERVICE_JDBC_TRACINGENABLED` The service property specifying whether JDBC tracing is enabled, must be either true or false.
`static java.lang.String` | `IFS_SERVICE_LOCKTIMEOUTPERIOD` The service property specifying the period, in seconds, of the maximum time to wait for a low-level row lock.
`static java.lang.String` | `IFS_SERVICE_MAXIMUMCONCURRENTSESSIONS` The service property specifying the maximum concurrent number of sessions connected to the service.
`static java.lang.String` | `IFS_SERVICE_MAXIMUMPOOLEDCONTENTBUFFERSPERSESSION` The name of the service configuration property whose floating point value determines the maximum number of content buffers in the content buffer pool.
`static java.lang.String` | `IFS_SERVICE_ORPHANSESSIONTIMEOUTPERIOD` The service property specifying the period, in seconds, of inactivity after which a session is considered idle.
`static java.lang.String` | `IFS_SERVICE_POLLFOREVENTSFROMOTHERSERVICESPERIOD` The service property specifying the period, in seconds, between succesive checks for events from other processes.
`static java.lang.String` | `IFS_SERVICE_QUOTACHECKFREQUENCYINBYTES` The service property specifying the number of bytes after which quota check should take place during a content transfer.
`static java.lang.String` | `IFS_SERVICE_SERVICEKEEPALIVEEVENTPERIOD` The service property specifying the period, in seconds, between succesive service keep-alive events.
`static java.lang.String` | `IFS_SERVICE_SESSION_BEANSOBJECTCACHE_SIZE` The service property specifying the target size of the client process cache.
`static java.lang.String` | `IFS_SERVICE_SESSION_BEANSSESSION` The service property specifying the class name of the client side session object.
`static java.lang.String` | `IFS_SERVICE_SESSION_DATACACHE_EMERGENCYTRIGGER` The service property specifying the cache size at which an immediate purge of data, not recently used, is run.
`static java.lang.String` | `IFS_SERVICE_SESSION_DATACACHE_NORMALTRIGGER` The service property specifying the cache size at which a low-priority purge of data, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_SESSION_DATACACHE_PURGETARGET` The service property specifying the cache size upon completion of a purge of data.
`static java.lang.String` | `IFS_SERVICE_SESSION_DATACACHE_SIZE` The service property specifying the target size of data cache.
`static java.lang.String` | `IFS_SERVICE_SESSION_DATACACHE_URGENTTRIGGER` The service property specifying the cache size at which a high-priority purge of data, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_SESSION_DEFAULTSEARCHTIMEOUTPERIOD` The service property specifying the maximum amount of time, in seconds, that a Search can be executing before being automatically cancelled.
`static java.lang.String` | `IFS_SERVICE_SESSION_EVENTPOLLER` The service property specifying the class name of the event poller.
`static java.lang.String` | `IFS_SERVICE_SESSION_EVENTPOLLERPERIOD` The service property specifying the period, in milliseconds, between successive event heartbeats.
`static java.lang.String` | `IFS_SERVICE_SESSION_FOLDERITEM_CACHING_ENABLED` The service property specifying whether or not folder items are to be cached across sessions.
`static java.lang.String` | `IFS_SERVICE_SESSION_FOLDERPATHCACHE_ENABLED` Deprecated. CM SDK 10g: property no longer used
`static java.lang.String` | `IFS_SERVICE_SESSION_FOLDERPATHCACHE_NORMALTRIGGER` Deprecated. CM SDK 10g: property no longer used
`static java.lang.String` | `IFS_SERVICE_SESSION_FOLDERPATHCACHE_PURGETARGET` Deprecated. CM SDK 10g: property no longer used
`static java.lang.String` | `IFS_SERVICE_SESSION_FOLDERPATHCACHE_SIZE` Deprecated. CM SDK 10g: property no longer used
`static java.lang.String` | `IFS_SERVICE_SESSION_FOLDERPATHCACHE_URGENTTRIGGER` Deprecated. CM SDK 10g: property no longer used
`static java.lang.String` | `IFS_SERVICE_SESSION_SERVEROBJECTCACHE_EMERGENCYTRIGGER` The service property specifying the cache size at which an immediate purge of data, not recently used, is run.
`static java.lang.String` | `IFS_SERVICE_SESSION_SERVEROBJECTCACHE_ISUNBOUNDED` Deprecated. CM SDK 10g: property no longer used
`static java.lang.String` | `IFS_SERVICE_SESSION_SERVEROBJECTCACHE_NORMALTRIGGER` The service property specifying the cache size at which a low-priority purge of data, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_SESSION_SERVEROBJECTCACHE_PURGETARGET` The service property specifying the cache size upon completion of a purge of data.
`static java.lang.String` | `IFS_SERVICE_SESSION_SERVEROBJECTCACHE_SIZE` The service property specifying the target size of the server process cache.
`static java.lang.String` | `IFS_SERVICE_SESSION_SERVEROBJECTCACHE_URGENTTRIGGER` The service property specifying the cache size at which a high-priority purge of data, not recently used, is scheduled.
`static java.lang.String` | `IFS_SERVICE_SESSION_SERVERSESSION` The service property specifying the class name of the server side session object.
`static java.lang.String` | `IFS_SERVICE_SESSION_TRANSACTIONSTACKSIZE` The service property specifying the maximum number of concurrent nested transactions per session.
`static java.lang.String` | `IFS_SERVICE_SESSIONOPERATIONTIMEOUTPERIOD` The service property specifying the period, in seconds, of the longest operation allowed in occur for a session without being timed out.
`static java.lang.String` | `IFS_SERVICE_TRACING_BEANSSESSIONTRACETYPE` The service property specifying the destination of trace data for a session in a client process.
`static java.lang.String` | `IFS_SERVICE_TRACING_CHANNELCOUNT` The service property specifying the number of trace logger channels Optional, default is 20.
`static java.lang.String` | `IFS_SERVICE_TRACING_CHANNELLEVEL` The service property specifying the prefix of channel level property.
`static java.lang.String` | `IFS_SERVICE_TRACING_DEFAULTTRACELEVEL` The service property specifying the default level of veberosity to user when creating trace channels.
`static java.lang.String` | `IFS_SERVICE_TRACING_SERVERSESSIONTRACETYPE` The service property specifying the destination of trace data for a session in a server process.
`static java.lang.String` | `IFS_SERVICE_TRACING_SERVICETRACETYPE` The service property specifying the destination of trace data for the ifs server.
`static java.lang.String` | `IFS_SERVICE_TRANSPORTBATCHSIZE` The number of events that can be released in a single batch.
`static java.lang.String` | `IFS_SERVICE_TRANSPORTEVENTSTOOTHERSERVICESPERIOD` The service property specifying the maximum period, in seconds, that outgoing events are buffered.
`static java.lang.String` | `IFS_SESSIONSTATE_APPLICATION_SESSIONID` Key to get and set session state used to track the application session ID.
`static java.lang.String` | `IFS_SESSIONSTATE_AUDIT_DOMAIN_DEFAULT` Key to get and set session state used to represent the default domain (for system sessions).
`static java.lang.String` | `IFS_SESSIONSTATE_OPERATIONS_COPYTABLE` The session state item that holds the table of copy() operations in progress.
`static java.lang.String` | `IFS_SESSIONSTATE_OPERATIONS_FREETABLE` The session state item that holds the table of free() operations in progress.
`static java.lang.String` | `IFS_SESSIONSTATE_OPERATIONS_UPDATETABLE` The session state item that holds the table of update() operations in progress.
`static int` | `LOCKTYPE_CHECKOUT` Represents the "checkout" LockEntry type.
`static int` | `LOCKTYPE_CUSTOM` Represents the CUSTOM LockEntry type.
`static int` | `LOCKTYPE_DAV` Represents the DAV LockEntry type.
`static int` | `LOCKTYPE_FAMILYHASRECORD` Deprecated. . Use LOCKTYPE_HAS_RECORD
`static int` | `LOCKTYPE_FINALIZED` Represents the "finalized" (version immutability) LockEntry type.
`static int` | `LOCKTYPE_FREEZE` Represents the FREEZE LockEntry type.
`static int` | `LOCKTYPE_HAS_RECORD` Represents the "HasRecord" LockEntry type.
`static int` | `LOCKTYPE_LIFECYCLE` Represents the LIFECYCLE LockEntry type.
`static int` | `LOCKTYPE_MANUAL` Represents the "manual" LockEntry type.
`static int` | `LOCKTYPE_NAMEDFREEZE` Represents the "named freeze" (also known as Legal Hold) LockEntry type.
`static int` | `LOCKTYPE_RECORD` Represents the "record" LockEntry type.
`static int` | `LOCKTYPE_RETENTION` Represents the RETENTION LockEntry type.
`static int` | `LOCKTYPE_WORKFLOW` Represents the "workflow" LockEntry type.
`static java.lang.String` | `PUBLIC_SESSIONSTATE_APPLICATION_CONTEXT` Key to get and set session state used to track the application's notion of a context identifier (settable by the application).
`static java.lang.String` | `PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER` Key to get and set session state used to track the application's notion of the user identifier (settable by the application).
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_CHECKOUT` Translated Resources bundle key for the default value of the "checkout" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_DAV` Translated Resources bundle key for the default value of the "dav" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FINALIZED` Translated Resources bundle key for the default value of the "finalized" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FREEZE` Translated Resources bundle key for the default value of the "freeze" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_HASRECORD` Translated Resources bundle key for the default value of the "hasRecord" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_LIFECYCLE` Translated Resources bundle key for the default value of the "lifecycle" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_MANUAL` Translated Resources bundle key for the default value of the "manual" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_NAMEDFREEZE` Translated Resources bundle key for the default value of the "named freeze" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RECORD` Translated Resources bundle key for the default value of the "record" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RETENTION` Translated Resources bundle key for the default value of the "retention" lock type DESCRIPTION attribute.
`static java.lang.String` | `RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_WORKFLOW` Translated Resources bundle key for the default value of the "workflow" lock type DESCRIPTION attribute.
`static java.lang.String` | `SYSTEMLOCK_NAME_FINALIZED` Name of the "finalized" (version immutability) SystemLockEntry type.
`static java.lang.String` | `SYSTEMLOCK_NAME_FREEZE` Name of the "Freeze" (from URM) SystemLockEntry type.
`static java.lang.String` | `SYSTEMLOCK_NAME_HAS_RECORD` Name of the "HasRecord" SystemLockEntry type.
`static java.lang.String` | `SYSTEMLOCK_NAME_LIFECYCLE` Name of the "Lifecycle" SystemLockEntry type.
`static java.lang.String` | `SYSTEMLOCK_NAME_RECORD` Name of the "record" SystemLockEntry type.
`static java.lang.String` | `SYSTEMLOCK_NAME_RETENTION` Name of the "Retention" (based on RetentionPolicy) SystemLockEntry type.

Field Detail

### EXCEPTION_INFO_LIMIT

    static final java.lang.String EXCEPTION_INFO_LIMIT

  Description copied from interface: `LibraryConstants`
  Describes exception info comprised of a numeric limit.

  See Also:
    Constant Field Values
  (Published)

### EXCEPTION_INFO_AGGREGATE_ENTRIES

    static final java.lang.String EXCEPTION_INFO_AGGREGATE_ENTRIES

  Description copied from interface: `LibraryConstants`
  Describes exception info comprised of an AggregateExceptionEntry[].

  NOTE: the constant value begins with "ECM" for compatibility with earlier versions.

  See Also:
    Constant Field Values

### EXCEPTION_INFO_DESCRIPTION_MAP

    static final java.lang.String EXCEPTION_INFO_DESCRIPTION_MAP

  Description copied from interface: `LibraryConstants`
  Key value for exception info passed back from BL. Value mapped to this key will be a hashmap of exception entries.

  NOTE: the constant value begins with "ECM" for compatibility with earlier versions.

  See Also:
    Constant Field Values

### EXCEPTION_INFO_PARAMETER_NAME

    static final java.lang.String EXCEPTION_INFO_PARAMETER_NAME

  Description copied from interface: `LibraryConstants`
  Describes exception info comprised of the parameter name involved in the exception.

  Data Type: String

  See Also:
    Constant Field Values
  (Published)

### EXCEPTION_INFO_CONFLICTING_OBJECT_ID

    static final java.lang.String EXCEPTION_INFO_CONFLICTING_OBJECT_ID

  Description copied from interface: `LibraryConstants`
  Describes exception info comprised of an object ID that represents the conflicting object for a name-conflict exception code.

  See Also:
    Constant Field Values
  (Published)

### EXCEPTION_INFO_OBJECT_ID

    static final java.lang.String EXCEPTION_INFO_OBJECT_ID

  Description copied from interface: `LibraryConstants`
  Describes exception info comprised of an object ID that represents the object for which the exception is about.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_PROPERTYBUNDLE_NAME

    static final java.lang.String IFS_DOMAIN_PROPERTYBUNDLE_NAME

  Description copied from interface: `LibraryConstants`
  The name of the ValueDefault that references the PropertyBundle which holds the domain-level properties.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_DEFINITIONCLONINGREQUIRED

    static final java.lang.String IFS_DOMAIN_DEFINITIONCLONINGREQUIRED

  Description copied from interface: `LibraryConstants`
  Whether cloning of user-specified definitions is required.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_SHAREDSTATEFACTORY

    static final java.lang.String IFS_DOMAIN_SHAREDSTATEFACTORY

  Description copied from interface: `LibraryConstants`
  Name of the class which constructs server-side shared state

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_CONFIGURATIONCATEGORYDESCRIPTORMAPCLASSNAME

    static final java.lang.String IFS_DOMAIN_CONFIGURATIONCATEGORYDESCRIPTORMAPCLASSNAME

  Description copied from interface: `LibraryConstants`
  Name of the class used as the ConfigurationCategory descriptor map.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LOCALIZER_DEFAULTEXTENDEDRESOURCEBUNDLENAMES

    static final java.lang.String IFS_DOMAIN_LOCALIZER_DEFAULTEXTENDEDRESOURCEBUNDLENAMES

  Description copied from interface: `LibraryConstants`
  List of extended resource bundles to be included in each LibrarySession's localizer after connect.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_DIRECTORYGROUP_BYPASSNAMEUNIQUENESSCHECK

    static final java.lang.String IFS_DOMAIN_DIRECTORYGROUP_BYPASSNAMEUNIQUENESSCHECK

  Description copied from interface: `LibraryConstants`
  Whether NameUniqueness policy should be skipped for DirectoryGroup

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_ACCESSCONTROLLIST_BYPASSNAMEUNIQUENESSCHECK

    static final java.lang.String IFS_DOMAIN_ACCESSCONTROLLIST_BYPASSNAMEUNIQUENESSCHECK

  Description copied from interface: `LibraryConstants`
  Whether NameUniqueness policy should be skipped for ACCESSCONTROLLIST

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_ACCESSCONTROLLIST_COMPOSITEACLSUPPORTED

    static final java.lang.String IFS_DOMAIN_ACCESSCONTROLLIST_COMPOSITEACLSUPPORTED

  Description copied from interface: `LibraryConstants`
  Whether the use of Composite ACLs are supported

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_OPERATIONACTIONSPECIFICATION_GLOBALLIST

    static final java.lang.String IFS_DOMAIN_OPERATIONACTIONSPECIFICATION_GLOBALLIST

  Description copied from interface: `LibraryConstants`
  The list of global OperationActionSpecifications.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LOCKOBJECT_ENABLED

    static final java.lang.String IFS_DOMAIN_LOCKOBJECT_ENABLED

  Description copied from interface: `LibraryConstants`
  Whether the use of LockObjects are enabled

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_DOCUMENT_DEFINITIONOBJECTEXPIRATIONPERIOD

    static final java.lang.String IFS_DOMAIN_DOCUMENT_DEFINITIONOBJECTEXPIRATIONPERIOD

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates the expiration time (in seconds) for document definition object.

  See Also:
    Constant Field Values

### IFS_DOMAIN_UPGRADEINPROGRESS

    static final java.lang.String IFS_DOMAIN_UPGRADEINPROGRESS

  Description copied from interface: `LibraryConstants`
  Whether the current instance is in the process of being upgraded.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_DEFAULT_TIMEZONE_STRING

    static final java.lang.String IFS_DOMAIN_DEFAULT_TIMEZONE_STRING

  Description copied from interface: `LibraryConstants`
  The default Timezone ID (string) for this instance. For example, "America/Los_Angeles".

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_AUDIT_AUDITINGENABLED

    static final java.lang.String IFS_DOMAIN_AUDIT_AUDITINGENABLED

  Description copied from interface: `LibraryConstants`
  The domain property that indicates whether auditing is enabled

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_AUDITRULEEVALUATORCLASS

    static final java.lang.String IFS_DOMAIN_AUDITRULEEVALUATORCLASS

  Description copied from interface: `LibraryConstants`
  The domain property that indicates the class that should be instantiated for the AuditRuleEvaluator (for auditing)

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_FDKCONFIGURATIONCLASS

    static final java.lang.String IFS_DOMAIN_FDKCONFIGURATIONCLASS

  Description copied from interface: `LibraryConstants`
  The domain property that indicates the class that should be instantiated for the FDK Configuration.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSERNAME

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSERNAME

  Description copied from interface: `LibraryConstants`
  The domain property that contains the name of the user that is to be used for "anonymous" sessions by some protocols.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSER

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSER

  Description copied from interface: `LibraryConstants`
  The domain property that contains the the user that is to be used for "anonymous" sessions by some protocols.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_APPLICATION_INITIALIZERCLASSNAME

    static final java.lang.String IFS_DOMAIN_APPLICATION_INITIALIZERCLASSNAME

  Description copied from interface: `LibraryConstants`
  The domain property that contains the name of the class which needs to be initialized by Node when it starts up. This class should implement the defunct oracle.ifs.management.domain.ApplicationInitializer interface.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_DOMAIN_FOLDERINDEX_EVENTTARGET

    static final java.lang.String IFS_DOMAIN_FOLDERINDEX_EVENTTARGET

  Description copied from interface: `LibraryConstants`
  The domain property that references the object used as the target of events that alert agents performing operations on the Folder index.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LOOKUP_SORTOBJECTCOLLECTION

    static final java.lang.String IFS_DOMAIN_LOOKUP_SORTOBJECTCOLLECTION

  Description copied from interface: `LibraryConstants`
  Name of the property bundle used for sort object collection.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_DOMAIN_LOOKUP_CLUSTERING_PROPERTIES

    static final java.lang.String IFS_DOMAIN_LOOKUP_CLUSTERING_PROPERTIES

  Description copied from interface: `LibraryConstants`
  The domain property that references the property bundle used to hold the set of clustering properties.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_DOMAIN_ACLINDEX_EVENTTARGET

    static final java.lang.String IFS_DOMAIN_ACLINDEX_EVENTTARGET

  Description copied from interface: `LibraryConstants`
  The domain property that references the object used as the target of events that alert agents performing operations on the ACL index.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_OIDCREDENTIALMANAGERAGENT_SUBSCRIBERS

    static final java.lang.String IFS_DOMAIN_OIDCREDENTIALMANAGERAGENT_SUBSCRIBERS

  Description copied from interface: `LibraryConstants`
  The domain property that references the PropertyBundle used by OidCredentialManagerAgent to track subscribers.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_DOMAIN_SECURITY_SYNCHRONOUSSECURITYREFRESHENABLED

    static final java.lang.String IFS_DOMAIN_SECURITY_SYNCHRONOUSSECURITYREFRESHENABLED

  Description copied from interface: `LibraryConstants`
  The domain property that indicates whether processing of security refresh operations is done synchronously.

  See Also:
    Constant Field Values

### IFS_DOMAIN_LIBRARYOBJECT_SERVICECONFIGURATION_DEFAULTSERVICECONFIGURATION

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_SERVICECONFIGURATION_DEFAULTSERVICECONFIGURATION

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the default ServiceConfiguration.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_NODECONFIGURATION_DEFAULTNODECONFIGURATION

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_NODECONFIGURATION_DEFAULTNODECONFIGURATION

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the default NodeConfiguration.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PRIVATE

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PRIVATE

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the SystemAccessControlList "Private"

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLIC

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLIC

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the SystemAccessControlList "Public"

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLISHED

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLISHED

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the SystemAccessControlList "Published"

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPUBLIC

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPUBLIC

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the ClassAccessControlList "ClassPublic"

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSRESTRICTCREATION

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSRESTRICTCREATION

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the ClassAccessControlList "ClassRestrictCreation"

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPRIVATE

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPRIVATE

  Description copied from interface: `LibraryConstants`
  The domain property used to lookup the ClassAccessControlList "ClassPrivate"

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_MEDIA_DEFAULTCONTENTMEDIA

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_MEDIA_DEFAULTCONTENTMEDIA

  Description copied from interface: `LibraryConstants`
  The domain property for the default content media instance.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_MEDIA_NONCONTENTMEDIA

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_MEDIA_NONCONTENTMEDIA

  Description copied from interface: `LibraryConstants`
  The domain property for the noncontent media instance.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_RANDOMACCESSOR_EXPIRATIONPERIOD

    static final java.lang.String IFS_DOMAIN_RANDOMACCESSOR_EXPIRATIONPERIOD

  Description copied from interface: `LibraryConstants`
  The domain property whose value is the default expiration period, in seconds, for writeable RandomAccessors.

  Refer to `RandomAccessor` for further details.

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_STORAGEGROUP_DEFAULTSTORAGEGROUP

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_STORAGEGROUP_DEFAULTSTORAGEGROUP

  Description copied from interface: `LibraryConstants`
  The domain property whose value is the default StorageGroup for new ContentObjects.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMSOFTLOCK

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMSOFTLOCK

  Description copied from interface: `LibraryConstants`
  The domain property for the System SOFTLOCK object to be used for sharing locks

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMHARDLOCK

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMHARDLOCK

  Description copied from interface: `LibraryConstants`
  The domain property for the System HARDLOCK object to be used for sharing locks

  See Also:
    Constant Field Values
  (Published)

### IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_GLOBALAUDITHISTORY

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_GLOBALAUDITHISTORY

  Description copied from interface: `LibraryConstants`
  The instance property for the out-of-the-box AuditSpecification for the Global Audit History.

  See Also:
    Constant Field Values

### IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_OBJECTAUDITHISTORY

    static final java.lang.String IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_OBJECTAUDITHISTORY

  Description copied from interface: `LibraryConstants`
  The instance property for the out-of-the-box AuditSpecification for the Object Audit History.

  See Also:
    Constant Field Values

### IFS_DOMAIN_AUDITING_GLOBALAUDITTYPELIST

    static final java.lang.String IFS_DOMAIN_AUDITING_GLOBALAUDITTYPELIST

  Description copied from interface: `LibraryConstants`
  The instance property that references the AuditTypeList to use for the global audit history.

  Also the key in each of ECM's Domain's propertyBundle.

  See Also:
    Constant Field Values

### IFS_DOMAIN_AUDITING_GLOBALAUDITEVENTEXPIRATIONPERIOD

    static final java.lang.String IFS_DOMAIN_AUDITING_GLOBALAUDITEVENTEXPIRATIONPERIOD

  Description copied from interface: `LibraryConstants`
  The instance property that defines the global audit event expiration period (in seconds).

  Also the key in each of ECM's Domain's propertyBundle.

  See Also:
    Constant Field Values

### IFS_DOMAIN_SEARCH_ATTEMPTCONTEXTSEARCHREWRITE

    static final java.lang.String IFS_DOMAIN_SEARCH_ATTEMPTCONTEXTSEARCHREWRITE

  Description copied from interface: `LibraryConstants`
  vdevadha - if this property is set, SQL generation layer attempts context query sql rewrite using inline views.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SERVICE_AURORASERVICE

    static final java.lang.String IFS_SERVICE_AURORASERVICE

  Description copied from interface: `LibraryConstants`
  This property is reserved and must be false.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SERVICE_JDBC_DRIVER

    static final java.lang.String IFS_SERVICE_JDBC_DRIVER

  Description copied from interface: `LibraryConstants`
  The service property specifying the fully-qualified classname of the Java JDBC driver to use. Required.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_JDBC_DRIVERTYPE

    static final java.lang.String IFS_SERVICE_JDBC_DRIVERTYPE

  Description copied from interface: `LibraryConstants`
  The service property specifying the JDBC driver type, either LibraryService.JDBCDRIVERTYPE_THIN or LibraryService.JDBCDRIVERTYPE_OCI8. Optional, default is LibraryService.JDBCDRIVERTYPE_OCI8.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_JDBC_TRACINGENABLED

    static final java.lang.String IFS_SERVICE_JDBC_TRACINGENABLED

  Description copied from interface: `LibraryConstants`
  The service property specifying whether JDBC tracing is enabled, must be either true or false. Optional, default is false.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_JDBC_DEFAULTROWPREFETCH

    static final java.lang.String IFS_SERVICE_JDBC_DEFAULTROWPREFETCH

  Description copied from interface: `LibraryConstants`
  The service property specifying the default number of result set rows prefetched from the database by the JDBC driver. Optional, default is 10.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_MAXIMUMCONCURRENTSESSIONS

    static final java.lang.String IFS_SERVICE_MAXIMUMCONCURRENTSESSIONS

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum concurrent number of sessions connected to the service.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CHECKFORORPHANSESSIONSPERIOD

    static final java.lang.String IFS_SERVICE_CHECKFORORPHANSESSIONSPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the period, in seconds, between checking for idle sessions that can be opend at one time. Optional, default 60 seconds.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSIONOPERATIONTIMEOUTPERIOD

    static final java.lang.String IFS_SERVICE_SESSIONOPERATIONTIMEOUTPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the period, in seconds, of the longest operation allowed in occur for a session without being timed out. Optional, default is 300 seconds.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_ORPHANSESSIONTIMEOUTPERIOD

    static final java.lang.String IFS_SERVICE_ORPHANSESSIONTIMEOUTPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the period, in seconds, of inactivity after which a session is considered idle. Optional, default is 600 seconds.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_QUOTACHECKFREQUENCYINBYTES

    static final java.lang.String IFS_SERVICE_QUOTACHECKFREQUENCYINBYTES

  Description copied from interface: `LibraryConstants`
  The service property specifying the number of bytes after which quota check should take place during a content transfer.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONTENTBUFFERSIZE

    static final java.lang.String IFS_SERVICE_CONTENTBUFFERSIZE

  Description copied from interface: `LibraryConstants`
  The name of the service configuration property whose integer value specifies the size of each content buffer, in bytes.

  Content buffers are used in writing and reading content. Increasing the content buffer size increases write and read performance but consumes more memory.

  Optional. Defaults to 262144 bytes.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_MAXIMUMPOOLEDCONTENTBUFFERSPERSESSION

    static final java.lang.String IFS_SERVICE_MAXIMUMPOOLEDCONTENTBUFFERSPERSESSION

  Description copied from interface: `LibraryConstants`
  The name of the service configuration property whose floating point value determines the maximum number of content buffers in the content buffer pool.

  Content buffers are used in reading and writing content. A pool of content buffers is maintained by a service for use by its sessions. Sessions acquire content buffers from the pool as needed and release them back to the pool when no longer needed.

  The value of this property must be a positive floating point number that can be parsed by the `valueOf` method of `java.lang.Double`. The maximum size of the content buffer pool is dynamically computed by multiplying this value by the number of sessions connected to the service.

  For example, if the value of this property is 0.25 and the service currently has 200 sessions, there are a maximum of 50 content buffers in the pool.

  If a session requires a content buffer, and if there are no unused content buffers in the pool and the pool has reached its maximum size, a content buffer is still created for the session but is not added to the pool (it is instead discarded when the session is done using it).

  Optional. Defaults to 0.25.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_LOCKTIMEOUTPERIOD

    static final java.lang.String IFS_SERVICE_LOCKTIMEOUTPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the period, in seconds, of the maximum time to wait for a low-level row lock. Optional, default is 10 seconds.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SERVICEKEEPALIVEEVENTPERIOD

    static final java.lang.String IFS_SERVICE_SERVICEKEEPALIVEEVENTPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the period, in seconds, between succesive service keep-alive events. Optional, default is 60 seconds, 0 disables keep-alive events.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_POLLFOREVENTSFROMOTHERSERVICESPERIOD

    static final java.lang.String IFS_SERVICE_POLLFOREVENTSFROMOTHERSERVICESPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the period, in seconds, between succesive checks for events from other processes. Optional, default is 2 seconds, 0 disables omter-process event processing.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRANSPORTEVENTSTOOTHERSERVICESPERIOD

    static final java.lang.String IFS_SERVICE_TRANSPORTEVENTSTOOTHERSERVICESPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum period, in seconds, that outgoing events are buffered. Optional, default is 2 seconds, 0 disables outgoing event buffering.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_EVENTSTATEMENTRESETLIMIT

    static final java.lang.String IFS_SERVICE_EVENTSTATEMENTRESETLIMIT

  Description copied from interface: `LibraryConstants`
  The number of events that can be released before reseting the event exchanger buffering mechanism. Optional, default is 10000, 0 disables the reset trigger.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRANSPORTBATCHSIZE

    static final java.lang.String IFS_SERVICE_TRANSPORTBATCHSIZE

  Description copied from interface: `LibraryConstants`
  The number of events that can be released in a single batch. Optional, default is 500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_EVENTEXCHANGER

    static final java.lang.String IFS_SERVICE_EVENTEXCHANGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the classname of the event exxhanger class.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_AUDITINGENABLED

    static final java.lang.String IFS_SERVICE_AUDITINGENABLED

  Deprecated. iFS 9.0.3: no longer a valid service property
  Description copied from interface: `LibraryConstants`
  The service property specifying whether auditing is enabled.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SERVICE_DATACACHE_SIZE

    static final java.lang.String IFS_SERVICE_DATACACHE_SIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the size of the service data cache Optional, default is 7500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_DATACACHE_NORMALTRIGGER

    static final java.lang.String IFS_SERVICE_DATACACHE_NORMALTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a low-priority purge of data, not recently used, is scheduled. Optional, default is 5000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_DATACACHE_URGENTTRIGGER

    static final java.lang.String IFS_SERVICE_DATACACHE_URGENTTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a high-priority purge of data, not recently used, is scheduled. Optional, default is 5500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_DATACACHE_EMERGENCYTRIGGER

    static final java.lang.String IFS_SERVICE_DATACACHE_EMERGENCYTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which an immediate purge of data, not recently used, is run. Optional, default is 5500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_DATACACHE_PURGETARGET

    static final java.lang.String IFS_SERVICE_DATACACHE_PURGETARGET

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size upon completion of a purge of data. Optional, default is 4000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_ACLCACHE_SIZE

    static final java.lang.String IFS_SERVICE_ACLCACHE_SIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the size of the service Resolved ACL cache Optional, default is 750.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_ACLCACHE_NORMALTRIGGER

    static final java.lang.String IFS_SERVICE_ACLCACHE_NORMALTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a low-priority purge of resolved ACLs, not recently used, is scheduled. Optional, default is 500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_ACLCACHE_URGENTTRIGGER

    static final java.lang.String IFS_SERVICE_ACLCACHE_URGENTTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a high-priority purge of resolved ACLs, not recently used, is scheduled. Optional, default is 550.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_ACLCACHE_EMERGENCYTRIGGER

    static final java.lang.String IFS_SERVICE_ACLCACHE_EMERGENCYTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which an immediate purge of resolved ACLs, not recently used, is run. Optional, default is 550.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_ACLCACHE_PURGETARGET

    static final java.lang.String IFS_SERVICE_ACLCACHE_PURGETARGET

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size upon completion of a purge of resolved ACLs. Optional, default is 400.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_AUDITCERTIFICATECACHE_PURGETARGET

    static final java.lang.String IFS_SERVICE_AUDITCERTIFICATECACHE_PURGETARGET

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size upon completion of a purge of Audit certificates. Optional, default is 4000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_AUDITSTRINGCACHE_PURGETARGET

    static final java.lang.String IFS_SERVICE_AUDITSTRINGCACHE_PURGETARGET

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size upon completion of a purge of Audit strings. Optional, default is 4000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MINIMUMSIZE

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MINIMUMSIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the initial number of connections in the pool. Optional, default is 2.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZE

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the target maximum number of connections in the pool. Optional, default is 5.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZE

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum number of connections in the pool. Optional, default is 10.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZETIMEOUT

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZETIMEOUT

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size is less than the target pool size. Optional, default is 1000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZETIMEOUT

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZETIMEOUT

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size exceeds the target pool size Optional, default is 10000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTRESETLIMIT

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTRESETLIMIT

  Description copied from interface: `LibraryConstants`
  The limit to the number of times a cached JDBC statement in a writeable connection can be re-used before it is closed and re-opened. Optional, default is 1000. A value of zero implies no limit.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHETARGET

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHETARGET

  Description copied from interface: `LibraryConstants`
  The target maximum number of statements we wish to keep cached for connections in the writeable connection pool.

  Optional, default is 160.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHESIZETRIGGER

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHESIZETRIGGER

  Description copied from interface: `LibraryConstants`
  The number of statements that need to be cached before a purge is triggered, for connections in the writeable connection pool.

  Optional, default is 200.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_MINIMUMSIZE

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_MINIMUMSIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the initial number of connections in the pool. Optional, default is 2.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZE

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the target maximum number of connections in the pool. Optional, default is 5.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZE

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum number of connections in the pool. Optional, default is 10.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZETIMEOUT

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZETIMEOUT

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size is less than the target pool size. Optional, default is 1000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZETIMEOUT

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZETIMEOUT

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum period, in milliseconds, that a request for a connection is postponed, before creating a a new connection in the pool when the current pool size exceeds the target pool size Optional, default is 10000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTRESETLIMIT

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTRESETLIMIT

  Description copied from interface: `LibraryConstants`
  The limit to the number of times a cached JDBC select statement in a readonly connection can be re-used before it is closed and re-opened. Optional, default is 1000. A value of zero implies no limit.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHETARGET

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHETARGET

  Description copied from interface: `LibraryConstants`
  The target maximum number of statements we wish to keep cached for connections in the readonly connection pool.

  Optional, default is 160.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHESIZETRIGGER

    static final java.lang.String IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHESIZETRIGGER

  Description copied from interface: `LibraryConstants`
  The number of statements that need to be cached before a purge is triggered, for connections in the readonly connection pool.

  Optional, default is 200.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CASESENSITIVEAUTHENTICATION

    static final java.lang.String IFS_SERVICE_CASESENSITIVEAUTHENTICATION

  Description copied from interface: `LibraryConstants`
  The service property specifying whether user names and passwords are case sensitive. Must be true or false.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CREDENTIALMANAGER_CREDENTIALNAMETOKENIZER

    static final java.lang.String IFS_SERVICE_CREDENTIALMANAGER_CREDENTIALNAMETOKENIZER

  Description copied from interface: `LibraryConstants`
  The fully-qualified classname of the CredentialNameTokenizer for this service.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CREDENTIALMANAGER_NAMES

    static final java.lang.String IFS_SERVICE_CREDENTIALMANAGER_NAMES

  Description copied from interface: `LibraryConstants`
  The service property specifying the primary names of the credential managers for this service.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_CREDENTIALMANAGER

    static final java.lang.String IFS_SERVICE_CREDENTIALMANAGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the prefix for building specific credential manager properties. This string, CredentialManagerName, and a a suffix are concatenated together to build property names.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SERVICE_SESSION_BEANSSESSION

    static final java.lang.String IFS_SERVICE_SESSION_BEANSSESSION

  Description copied from interface: `LibraryConstants`
  The service property specifying the class name of the client side session object.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_SERVERSESSION

    static final java.lang.String IFS_SERVICE_SESSION_SERVERSESSION

  Description copied from interface: `LibraryConstants`
  The service property specifying the class name of the server side session object.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_TRANSACTIONSTACKSIZE

    static final java.lang.String IFS_SERVICE_SESSION_TRANSACTIONSTACKSIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum number of concurrent nested transactions per session. Optional, default is 100.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_EVENTPOLLER

    static final java.lang.String IFS_SERVICE_SESSION_EVENTPOLLER

  Description copied from interface: `LibraryConstants`
  The service property specifying the class name of the event poller.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_EVENTPOLLERPERIOD

    static final java.lang.String IFS_SERVICE_SESSION_EVENTPOLLERPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the period, in milliseconds, between successive event heartbeats. Optional, default is 2500 milliseconds.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_DEFAULTSEARCHTIMEOUTPERIOD

    static final java.lang.String IFS_SERVICE_SESSION_DEFAULTSEARCHTIMEOUTPERIOD

  Description copied from interface: `LibraryConstants`
  The service property specifying the maximum amount of time, in seconds, that a Search can be executing before being automatically cancelled. Optional, default is 0 seconds, which indicates no timeout in effect.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_FOLDERPATHCACHE_ENABLED

    static final java.lang.String IFS_SERVICE_SESSION_FOLDERPATHCACHE_ENABLED

  Deprecated. CM SDK 10g: property no longer used
  Description copied from interface: `LibraryConstants`
  An obsolete service property specifying the whether the resolution of folder path strings is cached. Folder path caching is now done automatically without the need for a separately configured cache.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_FOLDERPATHCACHE_SIZE

    static final java.lang.String IFS_SERVICE_SESSION_FOLDERPATHCACHE_SIZE

  Deprecated. CM SDK 10g: property no longer used
  Description copied from interface: `LibraryConstants`
  The obsolete service property specifying how many folder paths are cached. Optional, default is 150. Folder path caching is now done automatically without the need for a separately configured cache.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_FOLDERPATHCACHE_NORMALTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_FOLDERPATHCACHE_NORMALTRIGGER

  Deprecated. CM SDK 10g: property no longer used
  Description copied from interface: `LibraryConstants`
  The obsolete service property specifying the cache size at which a low-priority purge of data, not recently used, is scheduled. Folder path caching is now done automatically without the need for a separately configured cache.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_FOLDERPATHCACHE_URGENTTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_FOLDERPATHCACHE_URGENTTRIGGER

  Deprecated. CM SDK 10g: property no longer used
  Description copied from interface: `LibraryConstants`
  The obsolete service property specifying the cache size at which a high-priority purge of data, not recently used, is scheduled. Folder path caching is now done automatically without the need for a separately configured cache.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_FOLDERPATHCACHE_PURGETARGET

    static final java.lang.String IFS_SERVICE_SESSION_FOLDERPATHCACHE_PURGETARGET

  Deprecated. CM SDK 10g: property no longer used
  Description copied from interface: `LibraryConstants`
  The obsolete service property specifying the cache size upon completion of a purge of data. Folder path caching is now done automatically without the need for a separately configured cache.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_BEANSOBJECTCACHE_SIZE

    static final java.lang.String IFS_SERVICE_SESSION_BEANSOBJECTCACHE_SIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the target size of the client process cache. Optional, default is 20000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_SERVEROBJECTCACHE_SIZE

    static final java.lang.String IFS_SERVICE_SESSION_SERVEROBJECTCACHE_SIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the target size of the server process cache. Optional, default is 20000 for Unbounded caches and 750 for Bounded caches.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_SERVEROBJECTCACHE_NORMALTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_SERVEROBJECTCACHE_NORMALTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a low-priority purge of data, not recently used, is scheduled. Optional, default is 20000 for Unbounded caches and 750 for Bounded caches.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_SERVEROBJECTCACHE_URGENTTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_SERVEROBJECTCACHE_URGENTTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a high-priority purge of data, not recently used, is scheduled. Optional, default is 500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_SERVEROBJECTCACHE_EMERGENCYTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_SERVEROBJECTCACHE_EMERGENCYTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which an immediate purge of data, not recently used, is run. Optional, default is 550.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_SERVEROBJECTCACHE_PURGETARGET

    static final java.lang.String IFS_SERVICE_SESSION_SERVEROBJECTCACHE_PURGETARGET

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size upon completion of a purge of data. Optional, default is 600.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_SERVEROBJECTCACHE_ISUNBOUNDED

    static final java.lang.String IFS_SERVICE_SESSION_SERVEROBJECTCACHE_ISUNBOUNDED

  Deprecated. CM SDK 10g: property no longer used
  Description copied from interface: `LibraryConstants`
  The obsolete service property specifying if the cache does not have an upper limit. This capability is no longer supported.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_FOLDERITEM_CACHING_ENABLED

    static final java.lang.String IFS_SERVICE_SESSION_FOLDERITEM_CACHING_ENABLED

  Description copied from interface: `LibraryConstants`
  The service property specifying whether or not folder items are to be cached across sessions.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_DATACACHE_SIZE

    static final java.lang.String IFS_SERVICE_SESSION_DATACACHE_SIZE

  Description copied from interface: `LibraryConstants`
  The service property specifying the target size of data cache. Optional, default is 7500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_DATACACHE_NORMALTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_DATACACHE_NORMALTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a low-priority purge of data, not recently used, is scheduled. Optional, default is 5000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_DATACACHE_URGENTTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_DATACACHE_URGENTTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which a high-priority purge of data, not recently used, is scheduled. Optional, default is 5500.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_DATACACHE_EMERGENCYTRIGGER

    static final java.lang.String IFS_SERVICE_SESSION_DATACACHE_EMERGENCYTRIGGER

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size at which an immediate purge of data, not recently used, is run. Optional, default is 6000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_SESSION_DATACACHE_PURGETARGET

    static final java.lang.String IFS_SERVICE_SESSION_DATACACHE_PURGETARGET

  Description copied from interface: `LibraryConstants`
  The service property specifying the cache size upon completion of a purge of data. Optional, default is 4000.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRACING_CHANNELCOUNT

    static final java.lang.String IFS_SERVICE_TRACING_CHANNELCOUNT

  Description copied from interface: `LibraryConstants`
  The service property specifying the number of trace logger channels Optional, default is 20.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRACING_SERVICETRACETYPE

    static final java.lang.String IFS_SERVICE_TRACING_SERVICETRACETYPE

  Description copied from interface: `LibraryConstants`
  The service property specifying the destination of trace data for the ifs server. Optional, default is TRACETYPE_NONE.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRACING_SERVERSESSIONTRACETYPE

    static final java.lang.String IFS_SERVICE_TRACING_SERVERSESSIONTRACETYPE

  Description copied from interface: `LibraryConstants`
  The service property specifying the destination of trace data for a session in a server process. Optional, default is TRACETYPE_NONE.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRACING_BEANSSESSIONTRACETYPE

    static final java.lang.String IFS_SERVICE_TRACING_BEANSSESSIONTRACETYPE

  Description copied from interface: `LibraryConstants`
  The service property specifying the destination of trace data for a session in a client process. Optional, default is TRACETYPE_NONE.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRACING_DEFAULTTRACELEVEL

    static final java.lang.String IFS_SERVICE_TRACING_DEFAULTTRACELEVEL

  Description copied from interface: `LibraryConstants`
  The service property specifying the default level of veberosity to user when creating trace channels.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_TRACING_CHANNELLEVEL

    static final java.lang.String IFS_SERVICE_TRACING_CHANNELLEVEL

  Description copied from interface: `LibraryConstants`
  The service property specifying the prefix of channel level property. This prefix and a channel number are concatenated to create a proptery which specifies the tracing verbosity for a trace channel. Optional, no default, 0 disables trace logging.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_DEFAULTCHARACTERSET

    static final java.lang.String IFS_SERVICE_DEFAULTCHARACTERSET

  Description copied from interface: `LibraryConstants`
  The service property specifying the default character set for the Library Session. Optional, default is the database character set.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVICE_DEFAULTLANGUAGE

    static final java.lang.String IFS_SERVICE_DEFAULTLANGUAGE

  Description copied from interface: `LibraryConstants`
  The service property specifying the default language for the Library Session.

  See Also:
    Constant Field Values
  (Published)

### IFS_NODE_DISABLEDINHERITEDSERVERNAMES

    static final java.lang.String IFS_NODE_DISABLEDINHERITEDSERVERNAMES

  Description copied from interface: `LibraryConstants`
  The NodeConfiguration property which holds the array of Server names that should not be inherited from the Super NodeConfiguration.

  See Also:
    Constant Field Values
  (Published)

### IFS_NODE_ENABLEDINHERITEDSERVERNAMES

    static final java.lang.String IFS_NODE_ENABLEDINHERITEDSERVERNAMES

  Description copied from interface: `LibraryConstants`
  The NodeConfiguration property which holds the array of Server names that should ONLY be inherited from the Super NodeConfiguration.

  See Also:
    Constant Field Values
  (Published)

### IFS_NODE_DISABLEDINHERITEDPROPERTYNAMES

    static final java.lang.String IFS_NODE_DISABLEDINHERITEDPROPERTYNAMES

  Description copied from interface: `LibraryConstants`
  The NodeConfiguration property which holds the array of property names that should not be inherited from the Super NodeConfiguration.

  See Also:
    Constant Field Values
  (Published)

### IFS_NODE_ENABLEDINHERITEDPROPERTYNAMES

    static final java.lang.String IFS_NODE_ENABLEDINHERITEDPROPERTYNAMES

  Description copied from interface: `LibraryConstants`
  The NodeConfiguration property which holds the array of property names that should ONLY be inherited from the Super NodeConfiguration.

  See Also:
    Constant Field Values
  (Published)

### IFS_SESSIONSTATE_APPLICATION_SESSIONID

    static final java.lang.String IFS_SESSIONSTATE_APPLICATION_SESSIONID

  Description copied from interface: `LibraryConstants`
  Key to get and set session state used to track the application session ID.

  See Also:
    Constant Field Values

### PUBLIC_SESSIONSTATE_APPLICATION_CONTEXT

    static final java.lang.String PUBLIC_SESSIONSTATE_APPLICATION_CONTEXT

  Description copied from interface: `LibraryConstants`
  Key to get and set session state used to track the application's notion of a context identifier (settable by the application).

  See Also:
    Constant Field Values

### PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER

    static final java.lang.String PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER

  Description copied from interface: `LibraryConstants`
  Key to get and set session state used to track the application's notion of the user identifier (settable by the application).

  See Also:
    Constant Field Values

### IFS_SESSIONSTATE_OPERATIONS_FREETABLE

    static final java.lang.String IFS_SESSIONSTATE_OPERATIONS_FREETABLE

  Description copied from interface: `LibraryConstants`
  The session state item that holds the table of free() operations in progress.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SESSIONSTATE_OPERATIONS_UPDATETABLE

    static final java.lang.String IFS_SESSIONSTATE_OPERATIONS_UPDATETABLE

  Description copied from interface: `LibraryConstants`
  The session state item that holds the table of update() operations in progress.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SESSIONSTATE_OPERATIONS_COPYTABLE

    static final java.lang.String IFS_SESSIONSTATE_OPERATIONS_COPYTABLE

  Description copied from interface: `LibraryConstants`
  The session state item that holds the table of copy() operations in progress.

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SESSIONSTATE_AUDIT_DOMAIN_DEFAULT

    static final java.lang.String IFS_SESSIONSTATE_AUDIT_DOMAIN_DEFAULT

  Description copied from interface: `LibraryConstants`
  Key to get and set session state used to represent the default domain (for system sessions).

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDMENABLED

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDMENABLED

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates whether IDM is enabled for this instance.

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM

  Description copied from interface: `LibraryConstants`
  The instance property for IDM CredentialManager configuration

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_SECURITY_PROVIDER_TYPE

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_SECURITY_PROVIDER_TYPE

  Description copied from interface: `LibraryConstants`
  The instance property that references the security provider type. Possible values are: File-Based Oracle Identity Management Third Party LDAP Server

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_DIRECTORY_VENDOR

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_DIRECTORY_VENDOR

  Description copied from interface: `LibraryConstants`
  The instance property that references the LDAP Directory vendor. Possible values are: Sun Directory Server Active Directory Other

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_TIME_LIMIT

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_TIME_LIMIT

  Description copied from interface: `LibraryConstants`
  The instance property that references the default Search Time limit, used by UserRole Search API. Integer value. If not set, or set to 0, default to wait indefinitely

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_COUNT_LIMIT

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_COUNT_LIMIT

  Description copied from interface: `LibraryConstants`
  The instance property that references the default Search count limit, used by UserRole Search API. Integer value. If not set, or set to 0, default is no limit.

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_PAGE_SIZE

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_PAGE_SIZE

  Description copied from interface: `LibraryConstants`
  The instance property that references the default Search page size, used by UserRole Search API. Integer value. If not set, or set to 0, default to 10 entries.

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_FILE_PATH

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_FILE_PATH

  Description copied from interface: `LibraryConstants`
  The instance property that references the pathname to XML data file.

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_REALM

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_REALM

  Description copied from interface: `LibraryConstants`
  The instance property that references the realm name of the XML provider

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_HOST

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_HOST

  Description copied from interface: `LibraryConstants`
  The instance property that references the LDAP host name.

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_PORT

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_PORT

  Description copied from interface: `LibraryConstants`
  The instance property that references the LDAP port number. Default is 389 (LDAP default port number)

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_SSL_ENABLED

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_SSL_ENABLED

  Description copied from interface: `LibraryConstants`
  The instance property that specifies if SSL is enabled for LDAP. Default is "false"

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_SEARCHBASES

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_SEARCHBASES

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP User Searchbases

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_OBJECT_CLASSES

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_OBJECT_CLASSES

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP User object classes.

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_NAME_ATTRIBUTE

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_NAME_ATTRIBUTE

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP User name attribute

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_SEARCHBASES

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_SEARCHBASES

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP Group Searchbases

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_OBJECT_CLASSES

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_OBJECT_CLASSES

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP Group object classes.

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_NAME_ATTRIBUTE

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_NAME_ATTRIBUTE

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP Group name attribute

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_MEMBER_ATTRIBUTES

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_MEMBER_ATTRIBUTES

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP Group member attributes

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_IDM_EXTERNALLY_SUPPORTED_ATTRIBUTES

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_IDM_EXTERNALLY_SUPPORTED_ATTRIBUTES

  Description copied from interface: `LibraryConstants`
  The instance property that references LDAP Group member attributes

  See Also:
    Constant Field Values

### IFS_DOMAIN_CREDENTIALMANAGER_AUTOUSERPROVISIONINGENABLED

    static final java.lang.String IFS_DOMAIN_CREDENTIALMANAGER_AUTOUSERPROVISIONINGENABLED

  Description copied from interface: `LibraryConstants`
  The instance property that indicates whether Auto User Provisioning is enabled for this instance.

  See Also:
    Constant Field Values

### IFS_DOMAIN_PROTOCOLS_DAV_NULLRESOURCELOCKEXPIRATIONPERIOD

    static final java.lang.String IFS_DOMAIN_PROTOCOLS_DAV_NULLRESOURCELOCKEXPIRATIONPERIOD

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates the expiration time (in seconds) for null resource locks used by the DAV protocol.

  See Also:
    Constant Field Values

### IFS_DOMAIN_PROTOCOLS_DAV_USERAGENTS

    static final java.lang.String IFS_DOMAIN_PROTOCOLS_DAV_USERAGENTS

  Description copied from interface: `LibraryConstants`
  The key for the instance property that holds the names of the user agents for DAV.

  See Also:
    Constant Field Values

### IFS_DOMAIN_PROTOCOLS_DAV_COPYMOVETHROUGHFOLDERLINKENABLED

    static final java.lang.String IFS_DOMAIN_PROTOCOLS_DAV_COPYMOVETHROUGHFOLDERLINKENABLED

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates whether Copy or Move are allowed on source paths that contain Folder Links.

  See Also:
    Constant Field Values

### IFS_DOMAIN_WS_CLEARTEXTAUTHENTICATIONREQUIRESHTTPS

    static final java.lang.String IFS_DOMAIN_WS_CLEARTEXTAUTHENTICATIONREQUIRESHTTPS

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates whether web service cleartext password authentication requires HTTPS, or is allowed over plain HTTP.

  See Also:
    Constant Field Values

### IFS_DOMAIN_WORKFLOW_ENABLED

    static final java.lang.String IFS_DOMAIN_WORKFLOW_ENABLED

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates whether Workflow is enabled for this instance.

  See Also:
    Constant Field Values

### IFS_DOMAIN_WORKFLOW_SCHEMANAME

    static final java.lang.String IFS_DOMAIN_WORKFLOW_SCHEMANAME

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates the Workflow schema name with which ECM is integrated.

  See Also:
    Constant Field Values

### IFS_DOMAIN_WORKFLOW_BPEL_CREATIONENABLED

    static final java.lang.String IFS_DOMAIN_WORKFLOW_BPEL_CREATIONENABLED

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates whether custom BPEL Workflows can be created for this instance.

  See Also:
    Constant Field Values

### IFS_DOMAIN_WORKFLOW_BPEL_WORKLISTURL

    static final java.lang.String IFS_DOMAIN_WORKFLOW_BPEL_WORKLISTURL

  Description copied from interface: `LibraryConstants`
  The key for the instance property that indicates the BPEL Worklist URL for this instance.

  See Also:
    Constant Field Values

### IFS_DOMAIN_LOOKUP_ORACLELOCKTYPES

    static final java.lang.String IFS_DOMAIN_LOOKUP_ORACLELOCKTYPES

  Description copied from interface: `LibraryConstants`
  The instance property for the inner PropertyBundle lookup table for the Oracle lock types registered for internal use by ECM.

  See Also:
    Constant Field Values

### IFS_DOMAIN_LOOKUP_CUSTOMLOCKTYPES

    static final java.lang.String IFS_DOMAIN_LOOKUP_CUSTOMLOCKTYPES

  Description copied from interface: `LibraryConstants`
  The instance property for the inner PropertyBundle lookup table for the custom lock types registered with ECM for use by user applications.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_MANUAL

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_MANUAL

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "manual" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_CHECKOUT

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_CHECKOUT

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "checkout" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_DAV

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_DAV

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "dav" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_FINALIZED

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_FINALIZED

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "finalized" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_WORKFLOW

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_WORKFLOW

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "workflow" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_RECORD

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_RECORD

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "record" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_HASRECORD

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_HASRECORD

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "has_record" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_FREEZE

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_FREEZE

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "freeze" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_LIFECYCLE

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_LIFECYCLE

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "lifecycle" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_RETENTION

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_RETENTION

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "retention" lock type.

  See Also:
    Constant Field Values

### IFS_ORACLELOCKTYPE_KEY_NAMEDFREEZE

    static final java.lang.String IFS_ORACLELOCKTYPE_KEY_NAMEDFREEZE

  Description copied from interface: `LibraryConstants`
  The locktype key for the Oracle "named freeze" lock type.

  See Also:
    Constant Field Values

### LOCKTYPE_MANUAL

    static final int LOCKTYPE_MANUAL

  Description copied from interface: `LibraryConstants`
  Represents the "manual" LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_CHECKOUT

    static final int LOCKTYPE_CHECKOUT

  Description copied from interface: `LibraryConstants`
  Represents the "checkout" LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_FINALIZED

    static final int LOCKTYPE_FINALIZED

  Description copied from interface: `LibraryConstants`
  Represents the "finalized" (version immutability) LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_WORKFLOW

    static final int LOCKTYPE_WORKFLOW

  Description copied from interface: `LibraryConstants`
  Represents the "workflow" LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_RECORD

    static final int LOCKTYPE_RECORD

  Description copied from interface: `LibraryConstants`
  Represents the "record" LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_FAMILYHASRECORD

    static final int LOCKTYPE_FAMILYHASRECORD

  Deprecated. . Use LOCKTYPE_HAS_RECORD
  Description copied from interface: `LibraryConstants`
  Represents the "familyHasRecord" LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_HAS_RECORD

    static final int LOCKTYPE_HAS_RECORD

  Description copied from interface: `LibraryConstants`
  Represents the "HasRecord" LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_DAV

    static final int LOCKTYPE_DAV

  Description copied from interface: `LibraryConstants`
  Represents the DAV LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_FREEZE

    static final int LOCKTYPE_FREEZE

  Description copied from interface: `LibraryConstants`
  Represents the FREEZE LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_LIFECYCLE

    static final int LOCKTYPE_LIFECYCLE

  Description copied from interface: `LibraryConstants`
  Represents the LIFECYCLE LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_RETENTION

    static final int LOCKTYPE_RETENTION

  Description copied from interface: `LibraryConstants`
  Represents the RETENTION LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_NAMEDFREEZE

    static final int LOCKTYPE_NAMEDFREEZE

  Description copied from interface: `LibraryConstants`
  Represents the "named freeze" (also known as Legal Hold) LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### LOCKTYPE_CUSTOM

    static final int LOCKTYPE_CUSTOM

  Description copied from interface: `LibraryConstants`
  Represents the CUSTOM LockEntry type.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMLOCK_NAME_FINALIZED

    static final java.lang.String SYSTEMLOCK_NAME_FINALIZED

  Description copied from interface: `LibraryConstants`
  Name of the "finalized" (version immutability) SystemLockEntry type.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMLOCK_NAME_RECORD

    static final java.lang.String SYSTEMLOCK_NAME_RECORD

  Description copied from interface: `LibraryConstants`
  Name of the "record" SystemLockEntry type.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMLOCK_NAME_HAS_RECORD

    static final java.lang.String SYSTEMLOCK_NAME_HAS_RECORD

  Description copied from interface: `LibraryConstants`
  Name of the "HasRecord" SystemLockEntry type.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMLOCK_NAME_FREEZE

    static final java.lang.String SYSTEMLOCK_NAME_FREEZE

  Description copied from interface: `LibraryConstants`
  Name of the "Freeze" (from URM) SystemLockEntry type.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMLOCK_NAME_LIFECYCLE

    static final java.lang.String SYSTEMLOCK_NAME_LIFECYCLE

  Description copied from interface: `LibraryConstants`
  Name of the "Lifecycle" SystemLockEntry type.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMLOCK_NAME_RETENTION

    static final java.lang.String SYSTEMLOCK_NAME_RETENTION

  Description copied from interface: `LibraryConstants`
  Name of the "Retention" (based on RetentionPolicy) SystemLockEntry type.

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_DISCOVER

    static final long CAPABILITY_DISCOVER

  Description copied from interface: `LibraryConstants`
  Capability to discover an item (bit 0).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_SET_ATTR

    static final long CAPABILITY_SET_ATTR

  Description copied from interface: `LibraryConstants`
  Capability to set attributes of an item (bit 1).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_GET_CONTENT

    static final long CAPABILITY_GET_CONTENT

  Description copied from interface: `LibraryConstants`
  Capability to get the content of an item (bit 2).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_SET_CONTENT

    static final long CAPABILITY_SET_CONTENT

  Description copied from interface: `LibraryConstants`
  Capability to set the content of an item (bit 3).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_DELETE

    static final long CAPABILITY_DELETE

  Description copied from interface: `LibraryConstants`
  Capability to delete an item (bit 4).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_LOCK

    static final long CAPABILITY_LOCK

  Description copied from interface: `LibraryConstants`
  Capability to lock an item (bit 5).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADDITEM

    static final long CAPABILITY_ADDITEM

  Description copied from interface: `LibraryConstants`
  Capability to add an item to a folder (bit 14).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADDVERSION

    static final long CAPABILITY_ADDVERSION

  Description copied from interface: `LibraryConstants`
  Capability to add a new version to an item (bit 20).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_DOMAIN

    static final long CAPABILITY_ADMINISTER_DOMAIN

  Description copied from interface: `LibraryConstants`
  Capability to administer domains (bit 32).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_CREATEFOLDER

    static final long CAPABILITY_CREATEFOLDER

  Description copied from interface: `LibraryConstants`
  Capability to create folders (bit 33).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_GETAUDITHISTORY

    static final long CAPABILITY_GETAUDITHISTORY

  Description copied from interface: `LibraryConstants`
  Capability to get audit history for an object (bit 34).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_GETRELATION

    static final long CAPABILITY_GETRELATION

  Description copied from interface: `LibraryConstants`
  Capability to get relations for an object (bit 35).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_SETRELATION

    static final long CAPABILITY_SETRELATION

  Description copied from interface: `LibraryConstants`
  Capability to set relations (add, remove, update) for an object (bit 36).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_LOCK

    static final long CAPABILITY_ADMINISTER_LOCK

  Description copied from interface: `LibraryConstants`
  Capability to administer locks (bit 47).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_USER

    static final long CAPABILITY_ADMINISTER_USER

  Description copied from interface: `LibraryConstants`
  Capability to administer users (bit 48).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_CATEGORY

    static final long CAPABILITY_ADMINISTER_CATEGORY

  Description copied from interface: `LibraryConstants`
  Capability to administer ad-hoc categories (bit 49).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_RECORD

    static final long CAPABILITY_ADMINISTER_RECORD

  Description copied from interface: `LibraryConstants`
  Capability to administer records (bit 50).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_ROLE

    static final long CAPABILITY_ADMINISTER_ROLE

  Description copied from interface: `LibraryConstants`
  Capability to administer roles (bit 51).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_CONTAINER

    static final long CAPABILITY_ADMINISTER_CONTAINER

  Description copied from interface: `LibraryConstants`
  Capability to administer containers, including creation (bit 52).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_QUOTA

    static final long CAPABILITY_ADMINISTER_QUOTA

  Description copied from interface: `LibraryConstants`
  Capability to administer quota (bit 53).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_WORKSPACE

    static final long CAPABILITY_ADMINISTER_WORKSPACE

  Description copied from interface: `LibraryConstants`
  Capability to administer workspaces, including creation (bit 54).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_SECURITY

    static final long CAPABILITY_ADMINISTER_SECURITY

  Description copied from interface: `LibraryConstants`
  Capability to administer security of items (bit 55).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_ADMINISTER_CONFIGURATION

    static final long CAPABILITY_ADMINISTER_CONFIGURATION

  Description copied from interface: `LibraryConstants`
  Capability to administer configuration of items (bit 56).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_CREATEWORKSPACE

    static final long CAPABILITY_CREATEWORKSPACE

  Description copied from interface: `LibraryConstants`
  Capability to create workspaces (bit 57).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_CREATECONTAINER

    static final long CAPABILITY_CREATECONTAINER

  Description copied from interface: `LibraryConstants`
  Capability to create containers (bit 58).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_MOVE

    static final long CAPABILITY_MOVE

  Description copied from interface: `LibraryConstants`
  Capability to move items (bit 59).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_GETMETADATA

    static final long CAPABILITY_GETMETADATA

  Description copied from interface: `LibraryConstants`
  Capability to get the metadata of an item (bit 60).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_SETMETADATA

    static final long CAPABILITY_SETMETADATA

  Description copied from interface: `LibraryConstants`
  Capability to set the metadata of an item (bit 61).

  See Also:
    Constant Field Values
  (Published)

### CAPABILITY_COPY

    static final long CAPABILITY_COPY

  Description copied from interface: `LibraryConstants`
  Capability to copy items (bit 62).

  See Also:
    Constant Field Values
  (Published)

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_MANUAL

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_MANUAL

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "manual" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_CHECKOUT

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_CHECKOUT

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "checkout" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_DAV

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_DAV

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "dav" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FINALIZED

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FINALIZED

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "finalized" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_WORKFLOW

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_WORKFLOW

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "workflow" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RECORD

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RECORD

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "record" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_HASRECORD

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_HASRECORD

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "hasRecord" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FREEZE

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FREEZE

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "freeze" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_LIFECYCLE

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_LIFECYCLE

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "lifecycle" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RETENTION

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RETENTION

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "retention" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_NAMEDFREEZE

    static final java.lang.String RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_NAMEDFREEZE

  Description copied from interface: `LibraryConstants`
  Translated Resources bundle key for the default value of the "named freeze" lock type DESCRIPTION attribute.

  See Also:
    Constant Field Values

### AUDIT_SPECIFICATION_GLOBAL

    static final int AUDIT_SPECIFICATION_GLOBAL

  Description copied from interface: `LibraryConstants`
  Constant used to specify the global administrative AuditSpecification.

  Value: 1

  See Also:
    Constant Field Values

### AUDIT_SPECIFICATION_OBJECT

    static final int AUDIT_SPECIFICATION_OBJECT

  Description copied from interface: `LibraryConstants`
  Constant used to specify the (individual) Object AuditSpecification (specification will also require an object ID).

  Value: 2

  See Also:
    Constant Field Values

### AUDIT_SPECIFICATION_CUSTOM

    static final int AUDIT_SPECIFICATION_CUSTOM

  Description copied from interface: `LibraryConstants`
  Constant used to specify any custom AuditSpecification by ID (specification will also require the ID of the custom AuditSpecification).

  Value: 3

  See Also:
    Constant Field Values

### AUDIT_SUCCESS_MODE_NONE

    static final int AUDIT_SUCCESS_MODE_NONE

  Description copied from interface: `LibraryConstants`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that neither successful nor failed operations will be audited.

  Value: 1

  See Also:
    Constant Field Values

### AUDIT_SUCCESS_MODE_SUCCESS_ONLY

    static final int AUDIT_SUCCESS_MODE_SUCCESS_ONLY

  Description copied from interface: `LibraryConstants`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only successful operations will be audited.

  Value: 2

  See Also:
    Constant Field Values

### AUDIT_SUCCESS_MODE_FAILURE_ONLY

    static final int AUDIT_SUCCESS_MODE_FAILURE_ONLY

  Description copied from interface: `LibraryConstants`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only failed operations will be audited.

  Value: 3

  See Also:
    Constant Field Values

### AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE

    static final int AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE

  Description copied from interface: `LibraryConstants`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that both successful and failed operations will be audited.

  Value: 4

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_ID

    static final java.lang.String AUDIT_EVENT_COLUMN_ID

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "ID".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_DOMAINID

    static final java.lang.String AUDIT_EVENT_COLUMN_DOMAINID

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "DOMAINID".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_CREATEDATE

    static final java.lang.String AUDIT_EVENT_COLUMN_CREATEDATE

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "CREATEDATE".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_CREATORID

    static final java.lang.String AUDIT_EVENT_COLUMN_CREATORID

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "CREATORID".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_OPERATIONTYPE

    static final java.lang.String AUDIT_EVENT_COLUMN_OPERATIONTYPE

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "OPERATIONTYPE".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_TARGETOBJECTID

    static final java.lang.String AUDIT_EVENT_COLUMN_TARGETOBJECTID

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "TARGETOBJECTID".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_OPERATIONSUCCEEDED

    static final java.lang.String AUDIT_EVENT_COLUMN_OPERATIONSUCCEEDED

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "OPERATIONSUCCEEDED".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_AUXILIARYNUMBER

    static final java.lang.String AUDIT_EVENT_COLUMN_AUXILIARYNUMBER

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "AUXNUMBER".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_AUXILIARYSTRING

    static final java.lang.String AUDIT_EVENT_COLUMN_AUXILIARYSTRING

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "AUXSTRING".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_APPLICATIONUSER

    static final java.lang.String AUDIT_EVENT_COLUMN_APPLICATIONUSER

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "APPUSER".

  See Also:
    Constant Field Values

### AUDIT_EVENT_COLUMN_APPLICATIONCONTEXT

    static final java.lang.String AUDIT_EVENT_COLUMN_APPLICATIONCONTEXT

  Description copied from interface: `LibraryConstants`
  AuditEvent column name: "APPCONTEXT".

  See Also:
    Constant Field Values

### IFS_HANDLER_PROPERTY_NOTIFIEDONEVENT

    static final java.lang.String IFS_HANDLER_PROPERTY_NOTIFIEDONEVENT

  Description copied from interface: `LibraryConstants`
  The key for the property in an AuditHandlerSpecification's propertyBundle that indicates whether the handler shouldbe notified when new events are dispatched.

  See Also:
    Constant Field Values

### IFS_HANDLER_PROPERTY_TIMERPERIOD

    static final java.lang.String IFS_HANDLER_PROPERTY_TIMERPERIOD

  Description copied from interface: `LibraryConstants`
  The key for the property in an AuditHandlerSpecification's propertyBundle that holds the desired timer period.

  See Also:
    Constant Field Values

### IFS_HANDLER_PROPERTY_BASETIMEOFDAY

    static final java.lang.String IFS_HANDLER_PROPERTY_BASETIMEOFDAY

  Description copied from interface: `LibraryConstants`
  The key for the property in an AuditHandlerSpecification's propertyBundle that holds the desired base time for timer epxirations, to be expressed in the format "HH:mm:ss", where HH represents hours using a 24-hour clock.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD